Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Class CompositeInput

    java.lang.Object
      calhoun.analysis.crf.io.CompositeInput

All Implemented Interfaces:
  java.io.Serializable

Deprecated.

    @Deprecated
    public class CompositeInput

extends java.lang.Object
implements java.io.Serializable

a legacy input used in the original XML configuration. No longer used.

Represents a composite input made of several different sequences. This is useful when putting together different features that may take different inputs. If the input components are created without file entries, then the input is read from a single file and all of the components are included in the single file. If the input components are created with file names, then each input component is read from its own file.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `CompositeInput.InputComponent` Deprecated.
`static class` | `CompositeInput.LegacyInputHandler` Deprecated. legacy `InputHandler` that mirrors the original XML config file behavior.

Constructor Summary
`CompositeInput()` Deprecated.

Method Summary
`java.lang.String` | `getHiddenSequenceFile()` Deprecated.
`TrainingSequenceIO` | `getHiddenSequenceReader()` Deprecated.
`void` | `setComponents(java.util.List<CompositeInput.InputComponent> components)` Deprecated.
`void` | `setHiddenSequenceFile(java.lang.String hiddenSequenceFile)` Deprecated.
`void` | `setHiddenSequenceReader(TrainingSequenceIO hiddenSequenceReader)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeInput

    public CompositeInput()

  Deprecated.

Method Detail

### setComponents

    public void setComponents(java.util.List<CompositeInput.InputComponent> components)

  Deprecated.

### getHiddenSequenceFile

    public java.lang.String getHiddenSequenceFile()

  Deprecated.

### setHiddenSequenceFile

    public void setHiddenSequenceFile(java.lang.String hiddenSequenceFile)

  Deprecated.

### getHiddenSequenceReader

    public TrainingSequenceIO getHiddenSequenceReader()

  Deprecated.

### setHiddenSequenceReader

    public void setHiddenSequenceReader(TrainingSequenceIO hiddenSequenceReader)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD